Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 136279 - [NIMBUS] The accordion component in palette and properties does not follow Nimbus GTK Theme
[NIMBUS] The accordion component in palette and properties does not follow Ni...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Palette
6.x
All Solaris
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
fix-in-65
: L&F
Depends on:
Blocks: 131305
  Show dependency treegraph
 
Reported: 2008-06-02 16:00 UTC by Ondrej Langr
Modified: 2008-12-22 10:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
current (wrong) appearance of palette (14.90 KB, image/jpeg)
2008-06-02 16:01 UTC, Ondrej Langr
Details
Accordion appearance as specified by branding expert (52.80 KB, image/png)
2008-09-17 14:38 UTC, Ondrej Langr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Langr 2008-06-02 16:00:30 UTC
The accordion component in the palette does not follow nimbus L&F. I'm not sure about placement of this issue, please
reassign to proper component if necessary.
Comment 1 Ondrej Langr 2008-06-02 16:01:29 UTC
Created attachment 62259 [details]
current (wrong) appearance of palette
Comment 2 David Simonek 2008-06-17 13:00:04 UTC
Passing to Marek. I guess Ondra is talking about *Nimbus GTK theme*, not Nimbus L&F, as OS is set to Solaris.
Comment 3 Ondrej Langr 2008-06-17 13:26:43 UTC
That is correct assumption. Sorry for the confusion.
Comment 4 Ondrej Langr 2008-08-18 10:30:37 UTC
Correct visual appearance of accordion component on nimbus is mocked-up here:
http://bde.central.sun.com/projects/opends/www/public/docs/ui-docs/specs/cp/top.html .

Please, let me know if any graphics or guidance is needed.
Comment 5 Stanislav Aubrecht 2008-08-21 12:06:56 UTC
i guess we need to know the names of colors (not RGB values) for backgroud / foreground and border color(s)
Comment 6 Ondrej Langr 2008-08-21 18:38:45 UTC
Which color system are the color names needed in? 
Comment 7 Ondrej Langr 2008-09-17 14:38:20 UTC
Created attachment 70036 [details]
Accordion appearance as specified by branding expert
Comment 8 Ondrej Langr 2008-09-17 15:06:19 UTC
The appearance and colors of accordion as specified by branding expert is attached. 

The differences to the current state are: 
   1) colors
   2) missing gradients
   3) missing dropdown symbols (arrows)

I was asked to provide parametric colors in Swing namespace. The exact colors as defined in the UI specification are not
there, but I did my best to find as close colors as possible (for naming of elements see the attached UI spec. image):

Menu Fill background: Tree.background - #d6d9df (UI spec color: #e1e5e8)
Menu Fill foreground: Tree.foreground (= black on Nimbus theme)

Selected Menu Fill Background: Tree.selectionBackground (UI spec color: #46708e)
Selected Menu Fill Foreground: Tree.selectionForeground (= white on Nimbus theme)

Over Menu Fill: Menu.background - #edeff2 (UI spec color: #f1f3f6)

Tree Background: White
Tree Foreground: Black

Tree selection: ??? (UI spec color: #90b7d0, No close match to UI specification exists. Can we use hardcorded color here
or better - derive it from the "Selected Menu Fill Background" color?)

Outline: Table.GridColor - #808080 (UI spec color: #8c8f91)

Please let me know if anything else is needed. Thanks.
Comment 9 Stanislav Aubrecht 2008-10-01 11:31:49 UTC
fixed - i didn't use gradient as it's difficult to override the default background painting on nimbus and gtk. please
reopen or file a new issue if the new look of palette categories and property table is not good enough

42618a2f2a85
Comment 10 Quality Engineering 2008-10-03 14:33:46 UTC
Integrated into 'main-golden', will be available in build *200810031107* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/42618a2f2a85
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #136279 - fixing the look of palette category headers and property set headers on nimbus & gtk


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo